{
  "format_version": "1.8.0",
  "render_controllers": {
    "controller.render.crl.bee": {
      "arrays": {
        "textures": {
          "array.skins": [
            "texture.default",
            "texture.nectar",
            "texture.angry",
            "texture.angry_nectar"
          ]
        }
      },
      "part_visibility": [{ "crown*": "query.is_name_any('Queen')" }],
      "geometry": "Geometry.default",
      "materials": [{ "*": "Material.default" }],
      "textures": ["array.skins[query.is_powered + query.is_angry * 2]"]
    }
  }
}
